Vaults
Delete a vault
Delete a vault config.
DELETE
/
api
/
v2
/
vaults
/
{vault_id}
from hai_agents import Client
client = Client()
client.vaults.delete_vault(vault_id=vault_id)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
await client.vaults.deleteVault({ vaultId });
curl -X DELETE https://agp.eu.hcompany.ai/api/v2/vaults/$VAULT_ID \
-H "Authorization: Bearer $HAI_API_KEY"
Behavior
Sessions bound to it keep running but can no longer fill its credentials. Deleting a 1Password vault removes its stored token and leaves the 1Password vault untouched. Deleting an H-hosted vault also deletes its items and their stored values.Path parameters
string
required
The vault config’s
id (UUID).Response
204 No Content.
from hai_agents import Client
client = Client()
client.vaults.delete_vault(vault_id=vault_id)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
await client.vaults.deleteVault({ vaultId });
curl -X DELETE https://agp.eu.hcompany.ai/api/v2/vaults/$VAULT_ID \
-H "Authorization: Bearer $HAI_API_KEY"
Errors
| Status | Cause |
|---|---|
404 | Not found, or not in your organization. |
409 | An item was added to the H-hosted vault while it was being deleted. Retry. |
Was this page helpful?
⌘I
from hai_agents import Client
client = Client()
client.vaults.delete_vault(vault_id=vault_id)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
await client.vaults.deleteVault({ vaultId });
curl -X DELETE https://agp.eu.hcompany.ai/api/v2/vaults/$VAULT_ID \
-H "Authorization: Bearer $HAI_API_KEY"